Update Template
curl --request PUT \
--url https://api.example.com/api/reports/templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"sections": [
"<string>"
],
"config": {},
"is_global": true,
"scope_type": "<string>",
"scope_id": "<string>"
}
'import requests
url = "https://api.example.com/api/reports/templates/{template_id}"
payload = {
"name": "<string>",
"description": "<string>",
"sections": ["<string>"],
"config": {},
"is_global": True,
"scope_type": "<string>",
"scope_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
sections: ['<string>'],
config: {},
is_global: true,
scope_type: '<string>',
scope_id: '<string>'
})
};
fetch('https://api.example.com/api/reports/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"sections": [
"<string>"
],
"config": {},
"is_global": true,
"scope_type": "<string>",
"scope_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"owner_id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}reports
Update Template
Update a report template.
PUT
/
api
/
reports
/
templates
/
{template_id}
Update Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Response
Successful Response
⌘I

